Releases Index
Rotate a personal secret
View .md

Rotate a personal webhook signing key

POST
/me/webhooks/{id}/rotate-secret

Optional idempotency key. Reuse the same key only for an identical request; successful responses are replayable for 24 hours.

Authorization

bearerAuth
headerAuthorizationBearer <relk_… | relu_… | OAuth JWT>

Machine/operator tokens use the relk_ prefix; self-serve read-only user keys use relu_; Sign in with Releases supplies an OAuth access token. Required scope depends on the endpoint.

Path Parameters

id*string

Header Parameters

Idempotency-Key?string

Optional idempotency key. Reuse the same key only for an identical request; successful responses are replayable for 24 hours.

Match^[\x21-\x7e]+$
Length16 <= length <= 255

Response Body

The new secret version and one-time signing key.

application/json
  1. response
secretVersion*integer
Range-9007199254740991 <= value <= 9007199254740991
signingKey*string
Example Request
curl -X POST 'https://api.releases.sh/v1/me/webhooks/string/rotate-secret'
Example Response
{  "secretVersion": -9007199254740991,  "signingKey": "string"}